package
{
	import net.flashpunk.*;
	import net.flashpunk.graphics.*;
	import net.flashpunk.masks.*;
	import net.flashpunk.utils.*;
	
	import flash.display.*;
	import flash.geom.*;
	
	public class Bullet extends Entity
	{
		public var dx: Number = 0;
		public var dy: Number = -1;
		
		public var vx: Number = 0;
		public var vy: Number = -1;
		
		public static function create (p: Player): Bullet
		{
			var b: Bullet = new Bullet;
			
			b.x = p.x + p.dx * 10;
			b.y = p.y + p.dy * 10;
			
			b.dx = p.dx;
			b.dy = p.dy;
			
			b.vx = p.vx*1.5 + p.dx * 4;
			b.vy = p.vy*1.5 + p.dy * 4;
			
			return b;
		}
		
		public override function update (): void
		{
			x += vx;
			y += vy;
		}
		
		public override function render (): void
		{
			Draw.line(x - dx * 3, y - dy * 3, x + dx * 3, y + dy * 3, 0xFFFFFF);
		}
	}
}
