package
{
	import net.flashpunk.*;
	import net.flashpunk.graphics.*;
	import net.flashpunk.masks.*;
	import net.flashpunk.utils.*;
	
	import flash.display.*;
	import flash.geom.*;
	
	public class Enemy extends Entity
	{
		public var dx: Number = 0;
		public var dy: Number = -1;
		
		public var vx: Number = 0;
		public var vy: Number = -1;
		
		public var points: Vector.<Point> = new Vector.<Point>();
		
		public override function update (): void
		{
			x += vx;
			y += vy;
		}
		
		public override function render (): void
		{
			for (var i: int = 0; i < points.length; i++) {
				var x1: Number = this.x + dx * points[i].x - dy * points[i].y;
				var y1: Number = this.y + dy * points[i].x + dx * points[i].y;
				
				var j: int = (i+1) % points.length;
				
				var x2: Number = this.x + dx * points[j].x - dy * points[j].y;
				var y2: Number = this.y + dy * points[j].x + dx * points[j].y;
				
				Draw.line(x1, y1, x2, y2, 0xFFFFFF);
			}
		}
	}
}
