package
{
	import net.flashpunk.*;
	import net.flashpunk.graphics.*;
	import net.flashpunk.masks.*;
	import net.flashpunk.utils.*;
	
	import flash.display.*;
	import flash.geom.*;
	
	public class MainMenu extends World
	{
		public function MainMenu ()
		{
			var bitmap: BitmapData = new BitmapData(480, 480, false, 0xFFFFFFFF);
			
			FP.rect.width = 155;
			FP.rect.height = 5;
			FP.rect.x = 3;
			
			for (var i: int = 0; i < 16; i++) {
				FP.rect.y = 3 + i*10;
				bitmap.fillRect(FP.rect, 0xFF000000);
			}
			
			FP.rect.width = 5;
			FP.rect.height = 155;
			FP.rect.y = 3;
			
			for (i = 0; i < 16; i++) {
				FP.rect.x = 160 + 3 + i*10;
				bitmap.fillRect(FP.rect, 0xFF000000);
			}
			
			FP.rect.width = 160;
			FP.rect.height = 160;
			FP.rect.x = 0;
			FP.rect.y = 0;
			
			bitmap.copyPixels(bitmap, FP.rect, new Point(320, 0));
			bitmap.copyPixels(bitmap, FP.rect, new Point(160, 160));
			bitmap.copyPixels(bitmap, FP.rect, new Point(0, 320));
			bitmap.copyPixels(bitmap, FP.rect, new Point(320, 320));
			
			FP.rect.x = 160;
			
			bitmap.copyPixels(bitmap, FP.rect, new Point(0, 160));
			bitmap.copyPixels(bitmap, FP.rect, new Point(320, 160));
			bitmap.copyPixels(bitmap, FP.rect, new Point(160, 320));
			
			add(new Entity(0, 0, new Stamp(bitmap)));
		}
		
		public override function update (): void
		{
			if (Input.mousePressed) {
				FP.world = new Level();
			}
		}
	}
}
