package
{
	import net.flashpunk.*;
	import net.flashpunk.graphics.*;
	import net.flashpunk.masks.*;
	import net.flashpunk.utils.*;
	
	import flash.display.*;
	import flash.geom.*;
	
	public class Square extends Enemy
	{
		public var angle: Number;
		
		public function Square ()
		{
			x = Math.random() * 480;
			y = Math.random() * 480;
			
			vx = Math.random() * 2 - 1;
			vy = Math.random() * 2 - 1;
			
			vx += ((vx < 0) ? -1 : 1);
			vy += ((vy < 0) ? -1 : 1);
			
			angle = Math.random() * 3.14;
			
			points.push(new Point(-15, -15));
			points.push(new Point(-15, 15));
			points.push(new Point(15, 15));
			points.push(new Point(15, -15));
		}
		
		public override function update (): void
		{
			x += vx;
			y += vy;
			
			angle += 0.1;
			
			dx = Math.cos(angle);
			dy = Math.sin(angle);
			
			if (x < 0 || x > 480) {
				vx = (Math.abs(vx) + 0.2) * -sign(vx);
				vy += Math.random() * 0.2 - 0.1;
			}
			
			if (y < 0 || y > 480) {
				vy = (Math.abs(vy) + 0.2) * -sign(vy);
				vx += Math.random() * 0.2 - 0.1;
			}
		}
		
		public static function sign (n: Number): int
		{
			return (n < 0) ? -1 : 1;
		}
	}
}
